package com.yunzhi.marketing.xlk.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yunzhi.marketing.entity.TaBuildingApartment;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 客户签约单 
 * </p>
 *
 * @author jobob
 * @since 2021-07-30
 */
@Data
public class CustomerSignatoryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(type = IdType.UUID)
    private String customerSignatoryId;

    /**
     * 客户id
     */
    private String customerId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 客户姓名
     */
    private String name;


    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 业绩分成人
     */
    private String dividendsName;

    /**
     * 比例
     */
    private String proportion;

    /**
     * 户型
     */
    private String houseType;

    /** 房屋信息 */
    private String houseInfo;

    /**
     * 金额
     */
    private String price;


    /** 类型 */
    private String type ;

    private String picture;

    private String  sex;
    private String  phone;
    private String  buildingName;

    private String recommendName;
    private String recommendTel;
    private String realtyConsultantName;
    private String realtyConsultantTel;
}
