package com.yunzhi.marketing.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.entity.TaMiniappTemplate;
import com.yunzhi.marketing.mapper.TaMiniappTemplateMapper;
import com.yunzhi.marketing.service.ITaMiniappTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 小程序消息模板  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-11
 */
@Service
public class TaMiniappTemplateServiceImpl extends ServiceImpl<TaMiniappTemplateMapper, TaMiniappTemplate> implements ITaMiniappTemplateService {
    @Autowired
    TaMiniappTemplateMapper taMiniappTemplateMapper;

    @Override
    public TaMiniappTemplate getTplByType(String type, String appid) {
        TaMiniappTemplate tpl = taMiniappTemplateMapper.selectTplByType(type, appid);
        return tpl;
    }
}
